import { BaseController } from "./controllers/baseController";
import { NextFunction, Request, Response } from 'express';
/**
 * Bootstraps the whole application.
 * @param params Register all the controllers here and optionally provide a base route for all endpoints.
 */
export declare function bootstrap(params: {
    /**
     * The base route for all endpoints - for example: /api/v1
     */
    base?: string;
    /**
     * List of controllers to be used throughout the application.
     */
    controllers: typeof BaseController[];
}): (req: Request, res: Response, next: NextFunction) => void;
