/**
 * Specify on the array properties.
 *
 * Typescript compiles to Javascript before execution. Since Javascript doesn't feature types,
 * the type information of an array is lost at runtime, hence making it impossible to parse an
 * array of objects to proper types.
 * @param type Type parameter that denotes the class to which an array of object needs to be casted to.
 */
export declare function composeMany(type: any): (target: any, propertyKey: string) => void;
/**
 * Specify on the object properties.
 *
 * Typescript compiles to Javascript before execution. Since Javascript doesn't feature types,
 * the type information is lost at runtime, hence making it impossible to parse an
 * objects to proper types.
 * @param type Type parameter that denotes the class to which an object needs to be casted to.
 */
export declare function compose(type: any): (target: any, propertyKey: string) => void;
