import Joi from "joi";
import { Model } from "../models/baseModel";
/**
 * Validates a particular property using the constraints provided.
 */
export declare function validate(param: {
    /**
     * The constraint for this property.
     */
    constraint: Joi.AnySchema;
    /**
     * If the property is an array of object, this property should be provided to specify the constraint on the array objects.
     */
    arrayElementsConstraint?: Joi.ObjectSchema;
    /**
     * If an object is used, the type should be provided.
     * The object class should extend the 'Model' class.
     */
    model?: typeof Model;
}): (target: any, propertyKey: string) => void;
